/*
 Theme Name:     AddUse - Divi Child - AddUse
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Divi Child Theme
 Author:         Jan Durrer
 Author URI:     https://www.elegantthemes.com
 Template:       Divi
 Version:        1.0.0
*/

/* =Theme customization starts here */

/*Backend ant modal module*/
.ant-modal-mask {
    z-index: 999999;
}

:root {
    --color-green: #d1d9c0;
    --color-grey: #ececec;
    --color-grey-akzent: #e3e3e3;
    --color-green-akzent: #e0e9ce;
}

#main-header {
    box-shadow: none;
}
#main-header.et-fb-root-ancestor-sibling {
    z-index: 0 !important;
}

.entry-content .et_pb_text_inner table:not(.variations),
.entry-content .et_pb_text_inner tr td {
    border: 1px solid #999;
}

/* Frontend editor styling  */

.et-fb-preview--wireframe #et-boc {
    display: block;
}

.et-fb-preview--desktop #et-boc {
    display: grid;
}

.links_gruen {
    background-color: transparent !important;
}

.au-no-view {
    display: none !important;
}

.au_button_in_text,
.au_button_aussen {
    text-align: left !important;
}

.et_pb_text_inner li {
    margin-bottom: 0.8em;
}

.et_pb_text_inner p span {
    font-family: 'Open Sans', Helvetica, Arial, Lucida, sans-serif !important;
}

ol li {
    margin-left: 1em;
    list-style-position: outside;
}

.inhaltsverzeichnis li {
    list-style: none;
    margin-bottom: 0.8em;
}

.inhaltsverzeichnis li ul {
    margin-top: 0.8em;
    margin-bottom: 0em;
    padding-bottom: 0em;
}

/* Gallerie */
.au-gallery-outter {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}

ul.au-gallery-outter {
    padding: 0;
    margin: 0;
}

.au-gallery-outter li {
    list-style: none;
    padding: 10px;
    border: 1px solid var(--color-grey);
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 0;
}

.au-gallery-outter li a {
    text-decoration: none !important;
}

.au-gallery-outter .gallery-sub-title {
    font-size: 14px;
    line-height: 1.1em;
}

#herbarium_beitrag_box h1 {
    font-size: 24px;
    font-weight: 500;
}

.et_pb_column_0 .et_pb_text_0 {
    width: auto !important;
}

@media (max-width: 380px) {
    .et_pb_section .et_pb_column .et_pb_text {
        font-size: 16px;
    }
    .et_pb_section_0_tb_footer .et_pb_column .et_pb_text {
        font-size: 13px !important;
    }
}

@media (max-width: 980px) {
    #main-content .et_pb_button_module_wrapper {
        margin-left: 5% !important;
    }
    #main-content .links_gruen {
        padding-left: 0 !important;
    }

    .et_pb_section .et_pb_column .et_pb_text {
        width: auto;
        padding-right: 0 !important;
    }

    .et_pb_column {
        padding-right: 10px;
    }
}

@media only screen and (min-width: 640px) {
    /* Gallerie */
    .au-gallery-outter {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media only screen and (min-width: 980px) {
    .au_button_in_text_wrapper {
        max-width: 800px;
    }

    .au_col_small > div:first-child {
        width: 74.5% !important;
    }
    .au_col_small > .et-last-child {
        width: 20% !important;
    }

    /* Gallerie */
    .au-gallery-outter {
        grid-template-columns: repeat(4, 1fr);
    }
}
/*  Textstyling  */
blockquote {
    border-color: white;
    border-left: 0px solid;
    padding-left: 0px;
}

#inhaltscontainer p,
#inhaltscontainer p *,
#inhaltscontainer span {
    font-family: 'Open Sans', Helvetica, Arial, Lucida, sans-serif !important;
}

/*Searchresult*/
.search-results .page-title {
    background-color: transparent;
    color: #fdb100;
    font-size: 36px;
    padding-bottom: 0;
}
.search-results .search-query {
    color: #1a3794;
    font-size: 56px;
    text-align: center;
    margin-bottom: 50px;
}
.search-result {
    padding-bottom: 30px;
    margin-bottom: 30px;
    border-bottom: 1px solid #ccc;
}
.search-result h2 {
    font-size: 20px;
}
.search-result p {
    font-size: 16px;
}

#pestalozzi-masonry .dipi_masonry_gallery_overlay.content {
    opacity: 1;
    padding: 0px !important;
}

#pestalozzi-masonry * {
    -webkit-animation: none !important;
    -moz-animation: none !important;
    -o-animation: none !important;
    -ms-animation: none !important;
    animation: none !important;
}

#pestalozzi-masonry .dipi_masonry_gallery_overlay .dipi-mansonry-gallery-title {
    background-color: white;
    padding: 10px 5px;

    position: absolute;
    bottom: 0;
    width: 100%;
}

.au-linkbio a {
    text-align: center;
    width: 100%;
    display: block;
    padding: 0px 0px 5px;
    font-size: 0.9em;
}

#au_breadcrump {
    background-color: #fff;
    padding-left: 35px;
    padding-top: 14px;
    font-size: 0.8em;
}

.au-generated #au_breadcrump {
    padding-left: 0;
    padding-top: 0;
}

/* Mobile Menü */
/* Höhere Spezifität und !important hinzufügen, um existierende Regeln zu überschreiben */
#main-header .et_mobile_menu li ul,
.et_pb_fullwidth_menu .et_mobile_menu li ul,
.et_pb_menu .et_mobile_menu li ul,
#mobile_menu .sub-menu {
    visibility: hidden !important;
    display: none !important;
    padding-left: 10px !important;
}

/* Custom CSS für das mobile Menü */
.et_mobile_menu {
    position: absolute;
    left: 0;
    padding: 0%;
    background: #fff;
    width: 100%;
    visibility: visible;
    opacity: 1;
    display: none;
    z-index: 9999;
    border-top: 3px solid #000;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
.et_mobile_menu li {
    position: relative;
}

.et_mobile_menu li a {
    border-bottom: 1px solid rgba(0, 0, 0, 0.03);
    color: #666;
    padding: 10px 12% 10px 5%;
    display: block;
    font-size: 14px;
    transition: opacity 0.2s ease-in-out, background-color 0.2s ease-in-out;
}

.et_mobile_menu .sub-menu {
    display: none;
    padding-left: 10px;
}

/* Stil für den einzigartigen Dropdown-Button */
.au-unique-dropdown-button {
    cursor: pointer;
    display: flex;
    margin-left: 10px;
    vertical-align: middle;
    width: 35px;
    background-color: #fff;
    position: absolute;
    right: 10px;
    min-height: 35px;
    justify-content: center;
    align-items: center;
    margin-top: 4px;
    border: 1px solid #ccc;
    z-index: 500;
    opacity: 0.6;
}

/* Beispiel für zusätzliche Stile */
.au-unique-dropdown-button svg {
    fill: #000; /* Farbe des SVG-Pfeils */
    transition: transform 0.3s;
}

.au-unique-dropdown-button.au-menu-open svg {
    transform: rotate(
        180deg
    ); /* Pfeil dreht sich, wenn das Menü geöffnet ist */
}

/* Stil für das sichtbare Untermenü */
#mobile_menu li.menu-item-has-children > ul.sub-menu.visible {
    visibility: visible !important;
    display: block !important;
    padding-left: 10px !important;
}

#mobile_menu li.menu-item-has-children .au-menu-open.au-unique-dropdown-button {
    opacity: 1;
}

@media screen and (max-width: 980px) {
    #mobile_menu li.au-menu-mobile {
        background-size: cover !important;
    }

    .et_vertical_fixed.admin-bar #page-container #main-header {
        top: 0px !important;
    }

    .et_vertical_nav.et_header_style_left #et-top-navigation,
    .et_vertical_nav.et_header_style_split #et-top-navigation {
        padding-top: 20px !important;
    }

    #top-menu li.current-menu-ancestor > a,
    #top-menu li.current-menu-item > a,
    .mobile_menu_bar:after,
    .mobile_menu_bar:before {
        color: #000 !important;
    }
}
